Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface WLTimerService

All Superinterfaces:
  TimerService

public interface WLTimerService
extends TimerService

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Timer` | `createTimer(Date initial, long duration, Serializable info, WLTimerInfo wlTimerInfo)`
`Timer` | `createTimer(Date expiration, Serializable info, WLTimerInfo wlTimerInfo)`
`Timer` | `createTimer(long initial, long duration, Serializable info, WLTimerInfo wlTimerInfo)`
`Timer` | `createTimer(long duration, Serializable info, WLTimerInfo wlTimerInfo)`

Methods inherited from interface javax.ejb.TimerService
`createTimer, createTimer, createTimer, createTimer, getTimers`

Method Detail

### createTimer

    public Timer createTimer(Date initial,
                             long duration,
                             Serializable info,
                             WLTimerInfo wlTimerInfo)
                      throws IllegalArgumentException,
                             IllegalStateException,
                             EJBException

  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `EJBException`

### createTimer

    public Timer createTimer(Date expiration,
                             Serializable info,
                             WLTimerInfo wlTimerInfo)
                      throws IllegalArgumentException,
                             IllegalStateException,
                             EJBException

  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `EJBException`

### createTimer

    public Timer createTimer(long initial,
                             long duration,
                             Serializable info,
                             WLTimerInfo wlTimerInfo)
                      throws IllegalArgumentException,
                             IllegalStateException,
                             EJBException

  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `EJBException`

### createTimer

    public Timer createTimer(long duration,
                             Serializable info,
                             WLTimerInfo wlTimerInfo)
                      throws IllegalArgumentException,
                             IllegalStateException,
                             EJBException

  Throws:
    `IllegalArgumentException`
    `IllegalStateException`
    `EJBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD